package net.provision.soap;

import java.awt.*;
import java.awt.event.*;

import java.util.*;

import javax.swing.*;


/**
 * DOCUMENT ME!
 *
 * @author $author$
 * @version $Revision$
 */
public class About extends JFrame {
   private JButton bugBTN;
   private JButton okBTN;
   private JButton proBTN;
   private JLabel bugLabel;
   private JLabel label;
   private JLabel proLabel;

   public About() {
      Container c = getContentPane();
      c.setLayout(new GridBagLayout());

      Calendar cal = Calendar.getInstance();
      okBTN = new JButton("OK");

      proBTN = new JButton(
            "<html><a href=\"http://www.provisiontech.net/\">http://www.provisiontech.net/</a></html>");
      bugBTN = new JButton(
            "<html><a href=\"http://bugs.provisiontech.net/\">http://bugs.provisiontech.net/</a></html>");

      //remove border from buttons
      proBTN.setBorderPainted(false);
      proBTN.setMargin(new Insets(0, 0, 0, 0));
      proBTN.setFocusPainted(false);
      bugBTN.setBorderPainted(false);
      bugBTN.setMargin(new Insets(0, 0, 0, 0));
      bugBTN.setFocusPainted(false);

      okBTN.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
               dispose();
            }
         });

      proBTN.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
               try {
                  BrowserLauncher.openURL("http://www.provisiontech.net");
               } catch(java.io.IOException err) {
               }
            }
         });

      bugBTN.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
               try {
                  BrowserLauncher.openURL("http://bugs.provisiontech.net");
               } catch(java.io.IOException err) {
               }
            }
         });

      GridBagConstraints gb = new GridBagConstraints();

      gb.gridx = 1;
      gb.gridy = 1;
      gb.gridwidth = 2;
      gb.insets = new Insets(10, 10, 10, 10); //top, left, bottom, right

      //gb.gridwidth = 1;
      //gb.gridheight = 1;
      //gb.fill = GridBagConstraints.BOTH;
      //gb.gridwidth = GridBagConstraints.REMAINDER;
      c.add(new JLabel("<html><center><hr>SOAP v.01 (BETA)<br>" +
            "Copyright  2004 - " + cal.get(Calendar.YEAR) + " Provision Tech<br>" +
            "Author: Brett Batie<br>" + "All Rights Reserved.<br>" +
            "This release is freeware</center><hr><br>" + "</html>"), gb);

      gb.gridy = 2;
      gb.gridx = 1;
      gb.gridwidth = 1;
      c.add(new JLabel("Homepage:"), gb);

      gb.gridx = 2;
      c.add(proBTN, gb);

      gb.gridy = 3;
      gb.gridx = 1;
      c.add(new JLabel("Submit Bug:"), gb);

      gb.gridx = 2;
      c.add(bugBTN, gb);

      gb.gridy = 4;
      gb.gridx = 1;
      gb.gridwidth = 2;
      gb.fill = GridBagConstraints.BOTH;
      gb.insets = new Insets(0, 0, 0, 0);
      c.add(okBTN, gb);

      pack();

      Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
      int y = (d.height / 2) - (getHeight() / 2);
      setLocation((d.width / 2) - (getWidth() / 2), y);

      setTitle("SOAP - created by Brett Batie");
      setDefaultCloseOperation(DISPOSE_ON_CLOSE);
      setVisible(true);
      setResizable(false);
   }
}
