package net.provision.soap;

import java.awt.*;
import java.awt.event.*;

import java.util.*;

import javax.swing.*;


/**
 * DOCUMENT ME!
 *
 * @author $author$
 * @version $Revision$
 */
public class DailyReading extends JDialog {
   Storage storage;

   //stores the location of each checked value
   private Vector checked = new Vector(365);
   private Vector verses = new Vector();
   private JCheckBox[] newTestament = new JCheckBox[365];
   private JCheckBox[] oldTestament = new JCheckBox[365];

   public DailyReading(JFrame owner, Storage s) {
      super(owner, "SOAP", true);
      this.storage = s;

      new Bible();

      checked = storage.getDRData();

      if(checked.size() == 0) {
         for(int i = 0; i < 365; i++) {
            checked.add(Boolean.FALSE);
         }
      }

      Container c = getContentPane();
      Container[] container = new Container[12];

      for(int i = 0; i < container.length; i++) {
         container[i] = new Container();
         container[i].setLayout(new GridBagLayout());
      }

      GridBagConstraints gb = new GridBagConstraints();
      createReadings();

      for(int i = 0; i < checked.size(); i++) {
         oldTestament[i].setSelected(((Boolean)checked.elementAt(i)).booleanValue());
         oldTestament[i].setContentAreaFilled(false);
      }

      for(int i = 0, j = 0, k = 0; i < oldTestament.length; i++, k++) {
         if((k % 7) == 0) {
            j++;
            k = 0;
         }

         gb.gridx = j;
         gb.gridy = k;

         if(i < 31) { //january
            container[0].add(oldTestament[i], gb);

            if(i == 30)
               k = -1;
         } else if(i < 59) { //february
            container[1].add(oldTestament[i], gb);

            if(i == 58)
               k = -1;
         } else if(i < 90) { //march
            container[2].add(oldTestament[i], gb);

            if(i == 89)
               k = -1;
         } else if(i < 120) { //April
            container[3].add(oldTestament[i], gb);

            if(i == 119)
               k = -1;
         } else if(i < 151) { //May
            container[4].add(oldTestament[i], gb);

            if(i == 150)
               k = -1;
         } else if(i < 181) { //June
            container[5].add(oldTestament[i], gb);

            if(i == 180)
               k = -1;
         } else if(i < 212) { //July
            container[6].add(oldTestament[i], gb);

            if(i == 211)
               k = -1;
         } else if(i < 243) { //August
            container[7].add(oldTestament[i], gb);

            if(i == 242)
               k = -1;
         } else if(i < 273) { //September
            container[8].add(oldTestament[i], gb);

            if(i == 272)
               k = -1;
         } else if(i < 304) { //October
            container[9].add(oldTestament[i], gb);

            if(i == 303)
               k = -1;
         } else if(i < 334) { //November
            container[10].add(oldTestament[i], gb);

            if(i == 333)
               k = -1;
         } else if(i < 365) { //December
            container[11].add(oldTestament[i], gb);

            if(i == 364)
               k = -1;
         }
      }

      //        JScrollPane[] sp = new JScrollPane[12];
      //        for (int i=0; i<container.length; i++){
      //            sp[i] = new JScrollPane();
      //            sp[i].add(container[i]);
      //        }
      JTabbedPane tp = new JTabbedPane();

      //tp.setTabLayoutPolicy(JTabbedPane.SCROLL_TAB_LAYOUT);
      tp.addTab("January", container[0]);
      tp.addTab("February", container[1]);
      tp.addTab("March", container[2]);
      tp.addTab("April", container[3]);
      tp.addTab("May", container[4]);
      tp.addTab("June", container[5]);
      tp.addTab("July", container[6]);
      tp.addTab("August", container[7]);
      tp.addTab("September", container[8]);
      tp.addTab("October", container[9]);
      tp.addTab("November", container[10]);
      tp.addTab("December", container[11]);

      c.add(tp);
      pack();

      Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
      int y = (d.height / 2) - (getHeight() / 2);
      setLocation((d.width / 2) - (getWidth() / 2), y);
      setDefaultCloseOperation(DISPOSE_ON_CLOSE);
      setVisible(true);

      addWindowListener(new WindowAdapter() {
            public void windowClosed(WindowEvent evt) {
               //retrieve checkbox state
               for(int i = 0; i < oldTestament.length; i++) {
                  checked.setElementAt(Boolean.valueOf(oldTestament[i].isSelected()), i);
               }

               //save the data to Storage
               storage.setDRData(checked);
            }
         });
   }

   /**
    * DOCUMENT ME!
    */
   private void createGUI() {
      Container c = getContentPane();
      c.setLayout(new GridBagLayout());
   }

   /**
    * DOCUMENT ME!
    */
   private void createReadings() {
      //just need to display them
      oldTestament[0] = new JCheckBox("Genesis 1,2");
      oldTestament[1] = new JCheckBox("Genesis 3,4,5");
      oldTestament[2] = new JCheckBox("Genesis 6,7,8");
      oldTestament[3] = new JCheckBox("Genesis 9,10,11");
      oldTestament[4] = new JCheckBox("Genesis 12,13,14");
      oldTestament[5] = new JCheckBox("Genesis 15,16,17");
      oldTestament[6] = new JCheckBox("Genesis 18,19");
      oldTestament[7] = new JCheckBox("Genesis 20,21,22");
      oldTestament[8] = new JCheckBox("Genesis 23,24");
      oldTestament[9] = new JCheckBox("Genesis 25,26");
      oldTestament[10] = new JCheckBox("Genesis 27,28");
      oldTestament[11] = new JCheckBox("Genesis 29,30");
      oldTestament[12] = new JCheckBox("Genesis 31,32");
      oldTestament[13] = new JCheckBox("Genesis 33,34,35");
      oldTestament[14] = new JCheckBox("Genesis 36,37");
      oldTestament[15] = new JCheckBox("Genesis 38,39,40");
      oldTestament[16] = new JCheckBox("Genesis 41");
      oldTestament[17] = new JCheckBox("Genesis 42,43");
      oldTestament[18] = new JCheckBox("Genesis 44,45");
      oldTestament[19] = new JCheckBox("Genesis 46,47,48");
      oldTestament[20] = new JCheckBox("Genesis 49,50");
      oldTestament[21] = new JCheckBox("Exodus 1,2,3");
      oldTestament[22] = new JCheckBox("Exodus 4,5,6");
      oldTestament[23] = new JCheckBox("Exodus 7,8");
      oldTestament[24] = new JCheckBox("Exodus 9,10");
      oldTestament[25] = new JCheckBox("Exodus 11,12");
      oldTestament[26] = new JCheckBox("Exodus 13,14,15");
      oldTestament[27] = new JCheckBox("Exodus 16,17,18");
      oldTestament[28] = new JCheckBox("Exodus 19,20,21");
      oldTestament[29] = new JCheckBox("Exodus 22,23,24");
      oldTestament[30] = new JCheckBox("Exodus 25,26");
      oldTestament[31] = new JCheckBox("Exodus 27,28");
      oldTestament[32] = new JCheckBox("Exodus 29,30");
      oldTestament[33] = new JCheckBox("Exodus 31,32,33");
      oldTestament[34] = new JCheckBox("Exodus 34,35,36");
      oldTestament[35] = new JCheckBox("Exodus 37,38");
      oldTestament[36] = new JCheckBox("Exodus 39,40");
      oldTestament[37] = new JCheckBox("Leviticus 1,2,3");
      oldTestament[38] = new JCheckBox("Leviticus 4,5,6");
      oldTestament[39] = new JCheckBox("Leviticus 7,8,9");
      oldTestament[40] = new JCheckBox("Leviticus 10,11,12");
      oldTestament[41] = new JCheckBox("Leviticus 13");
      oldTestament[42] = new JCheckBox("Leviticus 14");
      oldTestament[43] = new JCheckBox("Leviticus 15,16,17");
      oldTestament[44] = new JCheckBox("Leviticus 18,19");
      oldTestament[45] = new JCheckBox("Leviticus 20,21");
      oldTestament[46] = new JCheckBox("Leviticus 22,23");
      oldTestament[47] = new JCheckBox("Leviticus 24,25");
      oldTestament[48] = new JCheckBox("Leviticus 26,27");
      oldTestament[49] = new JCheckBox("Numbers 1,2");
      oldTestament[50] = new JCheckBox("Numbers 3,4");
      oldTestament[51] = new JCheckBox("Numbers 5,6");
      oldTestament[52] = new JCheckBox("Numbers 7");
      oldTestament[53] = new JCheckBox("Numbers 8,9,10");
      oldTestament[54] = new JCheckBox("Numbers 11,12,13");
      oldTestament[55] = new JCheckBox("Numbers 14,15");
      oldTestament[56] = new JCheckBox("Numbers 16,17");
      oldTestament[57] = new JCheckBox("Numbers 18,19,20");
      oldTestament[58] = new JCheckBox("Numbers 21,22,23");
      oldTestament[59] = new JCheckBox("Numbers 24,25,26");
      oldTestament[60] = new JCheckBox("Numbers 27,28,29");
      oldTestament[61] = new JCheckBox("Numbers 30,31");
      oldTestament[62] = new JCheckBox("Numbers 32,33");
      oldTestament[63] = new JCheckBox("Numbers 34,35,36");
      oldTestament[64] = new JCheckBox("Deuteronomy 1,2");
      oldTestament[65] = new JCheckBox("Deuteronomy 3,4");
      oldTestament[66] = new JCheckBox("Deuteronomy 5,6,7");
      oldTestament[67] = new JCheckBox("Deuteronomy 8,9,10");
      oldTestament[68] = new JCheckBox("Deuteronomy 11,12,13");
      oldTestament[69] = new JCheckBox("Deuteronomy 14,15,16");
      oldTestament[70] = new JCheckBox("Deuteronomy 17,18,19");
      oldTestament[71] = new JCheckBox("Deuteronomy 20,21,22");
      oldTestament[72] = new JCheckBox("Deuteronomy 23,24,25");
      oldTestament[73] = new JCheckBox("Deuteronomy 26,27");
      oldTestament[74] = new JCheckBox("Deuteronomy 28");
      oldTestament[75] = new JCheckBox("Deuteronomy 29,30");
      oldTestament[76] = new JCheckBox("Deuteronomy 31,32");
      oldTestament[77] = new JCheckBox("Deuteronomy 33,34");
      oldTestament[78] = new JCheckBox("Joshua 1,2,3");
      oldTestament[79] = new JCheckBox("Joshua 4,5,6");
      oldTestament[80] = new JCheckBox("Joshua 7,8");
      oldTestament[81] = new JCheckBox("Joshua 9,10");
      oldTestament[82] = new JCheckBox("Joshua 11,12,13");
      oldTestament[83] = new JCheckBox("Joshua 14,15");
      oldTestament[84] = new JCheckBox("Joshua 16,17,18");
      oldTestament[85] = new JCheckBox("Joshua 19,20");
      oldTestament[86] = new JCheckBox("Joshua 21,22");
      oldTestament[87] = new JCheckBox("Joshua 23,24");
      oldTestament[88] = new JCheckBox("Judges 1,2");
      oldTestament[89] = new JCheckBox("Judges 3,4,5");
      oldTestament[90] = new JCheckBox("Judges 6,7");
      oldTestament[91] = new JCheckBox("Judges 8,9");
      oldTestament[92] = new JCheckBox("Judges 10,11");
      oldTestament[93] = new JCheckBox("Judges 12,13,14");
      oldTestament[94] = new JCheckBox("Judges 15,16,17");
      oldTestament[95] = new JCheckBox("Judges 18,19");
      oldTestament[96] = new JCheckBox("Judges 20,21");
      oldTestament[97] = new JCheckBox("Ruth 1,2,3,4");
      oldTestament[98] = new JCheckBox("I Samuel 1,2,3");
      oldTestament[99] = new JCheckBox("I Samuel 4,5,6");
      oldTestament[100] = new JCheckBox("I Samuel 7,8,9");
      oldTestament[101] = new JCheckBox("I Samuel 10,11,12");
      oldTestament[102] = new JCheckBox("I Samuel 13,14");
      oldTestament[103] = new JCheckBox("I Samuel 15,16");
      oldTestament[104] = new JCheckBox("I Samuel 17,18");
      oldTestament[105] = new JCheckBox("I Samuel 19,20,21");
      oldTestament[106] = new JCheckBox("I Samuel 22,23,24");
      oldTestament[107] = new JCheckBox("I Samuel 25,26");
      oldTestament[108] = new JCheckBox("I Samuel 27,28,29");
      oldTestament[109] = new JCheckBox("I Samuel 30,31");
      oldTestament[110] = new JCheckBox("II Samuel 1,2,3");
      oldTestament[111] = new JCheckBox("II Samuel 4,5,6");
      oldTestament[112] = new JCheckBox("II Samuel 7,8,9");
      oldTestament[113] = new JCheckBox("II Samuel 10,11,12");
      oldTestament[114] = new JCheckBox("II Samuel 13,14");
      oldTestament[115] = new JCheckBox("II Samuel 15,16");
      oldTestament[116] = new JCheckBox("II Samuel 17,18");
      oldTestament[117] = new JCheckBox("II Samuel 19,20");
      oldTestament[118] = new JCheckBox("II Samuel 21,22");
      oldTestament[119] = new JCheckBox("II Samuel 23,24");
      oldTestament[120] = new JCheckBox("I Kings 1,2");
      oldTestament[121] = new JCheckBox("I Kings 3,4,5");
      oldTestament[122] = new JCheckBox("I Kings 6,7");
      oldTestament[123] = new JCheckBox("I Kings 8,9");
      oldTestament[124] = new JCheckBox("I Kings 10,11");
      oldTestament[125] = new JCheckBox("I Kings 12,13");
      oldTestament[126] = new JCheckBox("I Kings 14,15");
      oldTestament[127] = new JCheckBox("I Kings 16,17,18");
      oldTestament[128] = new JCheckBox("I Kings 19,20");
      oldTestament[129] = new JCheckBox("I Kings 21,22");
      oldTestament[130] = new JCheckBox("II Kings 1,2,3");
      oldTestament[131] = new JCheckBox("II Kings 4,5");
      oldTestament[132] = new JCheckBox("II Kings 6,7,8");
      oldTestament[133] = new JCheckBox("II Kings 9,10,11");
      oldTestament[134] = new JCheckBox("II Kings 12,13,14");
      oldTestament[135] = new JCheckBox("II Kings 15,16,17");
      oldTestament[136] = new JCheckBox("II Kings 18,19");
      oldTestament[137] = new JCheckBox("II Kings 20,21,22");
      oldTestament[138] = new JCheckBox("II Kings 23,24,25");
      oldTestament[139] = new JCheckBox("I Chronicles 1,2");
      oldTestament[140] = new JCheckBox("I Chronicles 3,4,5");
      oldTestament[141] = new JCheckBox("I Chronicles 6,7");
      oldTestament[142] = new JCheckBox("I Chronicles 8,9,10");
      oldTestament[143] = new JCheckBox("I Chronicles 11,12,13");
      oldTestament[144] = new JCheckBox("I Chronicles 14,15,16");
      oldTestament[145] = new JCheckBox("I Chronicles 17,18,19");
      oldTestament[146] = new JCheckBox("I Chronicles 20,21,22");
      oldTestament[147] = new JCheckBox("I Chronicles 23,24,25");
      oldTestament[148] = new JCheckBox("I Chronicles 26,27");
      oldTestament[149] = new JCheckBox("I Chronicles 28,29");
      oldTestament[150] = new JCheckBox("II Chronicles 1,2,3");
      oldTestament[151] = new JCheckBox("II Chronicles 4,5,6");
      oldTestament[152] = new JCheckBox("II Chronicles 7,8,9");
      oldTestament[153] = new JCheckBox("II Chronicles 10,11,12");
      oldTestament[154] = new JCheckBox("II Chronicles 13,14,15,16");
      oldTestament[155] = new JCheckBox("II Chronicles 17,18,19");
      oldTestament[156] = new JCheckBox("II Chronicles 20,21,22");
      oldTestament[157] = new JCheckBox("II Chronicles 23,24,25");
      oldTestament[158] = new JCheckBox("II Chronicles 26,27,28");
      oldTestament[159] = new JCheckBox("II Chronicles 29,30,31");
      oldTestament[160] = new JCheckBox("II Chronicles 32,33");
      oldTestament[161] = new JCheckBox("II Chronicles 34,35,36");
      oldTestament[162] = new JCheckBox("Ezra 1,2");
      oldTestament[163] = new JCheckBox("Ezra 3,4,5");
      oldTestament[164] = new JCheckBox("Ezra 6,7,8");
      oldTestament[165] = new JCheckBox("Ezra 9,10");
      oldTestament[166] = new JCheckBox("Nehemiah 1,2,3");
      oldTestament[167] = new JCheckBox("Nehemiah 4,5,6");
      oldTestament[168] = new JCheckBox("Nehemiah 7,8");
      oldTestament[169] = new JCheckBox("Nehemiah 9,10,11");
      oldTestament[170] = new JCheckBox("Nehemiah 12,13");
      oldTestament[171] = new JCheckBox("Esther 1,2,3");
      oldTestament[172] = new JCheckBox("Esther 4,5,6");
      oldTestament[173] = new JCheckBox("Esther 7,8,9,10");
      oldTestament[174] = new JCheckBox("Job 1,2,3");
      oldTestament[175] = new JCheckBox("Job 4,5,6");
      oldTestament[176] = new JCheckBox("Job 7,8,9");
      oldTestament[177] = new JCheckBox("Job 10,11,12");
      oldTestament[178] = new JCheckBox("Job 13,14,15");
      oldTestament[179] = new JCheckBox("Job 16,17,18");
      oldTestament[180] = new JCheckBox("Job 19,20");
      oldTestament[181] = new JCheckBox("Job 21,22");
      oldTestament[182] = new JCheckBox("Job 23,24,25");
      oldTestament[183] = new JCheckBox("Job 26,27,28");
      oldTestament[184] = new JCheckBox("Job 29,30");
      oldTestament[185] = new JCheckBox("Job 31,32");
      oldTestament[186] = new JCheckBox("Job 33,34");
      oldTestament[187] = new JCheckBox("Job 35,36,37");
      oldTestament[188] = new JCheckBox("Job 38,39");
      oldTestament[189] = new JCheckBox("Job 40,41,42");
      oldTestament[190] = new JCheckBox("Psalms 1,2,3");
      oldTestament[191] = new JCheckBox("Psalms 4,5,6");
      oldTestament[192] = new JCheckBox("Psalms 7,8,9");
      oldTestament[193] = new JCheckBox("Psalms 10,11,12");
      oldTestament[194] = new JCheckBox("Psalms 13,14,15,16");
      oldTestament[195] = new JCheckBox("Psalms 17,18");
      oldTestament[196] = new JCheckBox("Psalms 19,20,21");
      oldTestament[197] = new JCheckBox("Psalms 22,23,24");
      oldTestament[198] = new JCheckBox("Psalms 25,26,27");
      oldTestament[199] = new JCheckBox("Psalms 28,29,30");
      oldTestament[200] = new JCheckBox("Psalms 31,32,33");
      oldTestament[201] = new JCheckBox("Psalms 34,35");
      oldTestament[202] = new JCheckBox("Psalms 36,37");
      oldTestament[203] = new JCheckBox("Psalms 38,39,40");
      oldTestament[204] = new JCheckBox("Psalms 41,42,43");
      oldTestament[205] = new JCheckBox("Psalms 44,45,46");
      oldTestament[206] = new JCheckBox("Psalms 47,48,49");
      oldTestament[207] = new JCheckBox("Psalms 50,51,52");
      oldTestament[208] = new JCheckBox("Psalms 53,54,55");
      oldTestament[209] = new JCheckBox("Psalms 56,57,58");
      oldTestament[210] = new JCheckBox("Psalms 59,60,61");
      oldTestament[211] = new JCheckBox("Psalms 62,63,64");
      oldTestament[212] = new JCheckBox("Psalms 65,66,67");
      oldTestament[213] = new JCheckBox("Psalms 68,69");
      oldTestament[214] = new JCheckBox("Psalms 70,71,72");
      oldTestament[215] = new JCheckBox("Psalms 73,74");
      oldTestament[216] = new JCheckBox("Psalms 75,76,77");
      oldTestament[217] = new JCheckBox("Psalms 78");
      oldTestament[218] = new JCheckBox("Psalms 79,80,81");
      oldTestament[219] = new JCheckBox("Psalms 82,83,84");
      oldTestament[220] = new JCheckBox("Psalms 85,86,87");
      oldTestament[221] = new JCheckBox("Psalms 88,89");
      oldTestament[222] = new JCheckBox("Psalms 90,91,92");
      oldTestament[223] = new JCheckBox("Psalms 93,94,95");
      oldTestament[224] = new JCheckBox("Psalms 96,97,98");
      oldTestament[225] = new JCheckBox("Psalms 99,100,101,102");
      oldTestament[226] = new JCheckBox("Psalms 103,104");
      oldTestament[227] = new JCheckBox("Psalms 105,106");
      oldTestament[228] = new JCheckBox("Psalms 107,108");
      oldTestament[229] = new JCheckBox("Psalms 109,110,111");
      oldTestament[230] = new JCheckBox("Psalms 112,113,114,115");
      oldTestament[231] = new JCheckBox("Psalms 116,117,118");
      oldTestament[232] = new JCheckBox("Psalms 119:1-48");
      oldTestament[233] = new JCheckBox("Psalms 119:49-104");
      oldTestament[234] = new JCheckBox("Psalms 119:105-176");
      oldTestament[235] = new JCheckBox("Psalms 120,121,122,123");
      oldTestament[236] = new JCheckBox("Psalms 124,125,126,127");
      oldTestament[237] = new JCheckBox("Psalms 128,129,130,131");
      oldTestament[238] = new JCheckBox("Psalms 131,132,133,134,135");
      oldTestament[239] = new JCheckBox("Psalms 136,137,138");
      oldTestament[240] = new JCheckBox("Psalms 139,140,141");
      oldTestament[241] = new JCheckBox("Psalms 142,143,144");
      oldTestament[242] = new JCheckBox("Psalms 145,146,147");
      oldTestament[243] = new JCheckBox("Psalms 148,149,150");
      oldTestament[244] = new JCheckBox("Proverbs 1,2");
      oldTestament[245] = new JCheckBox("Proverbs 3,4");
      oldTestament[246] = new JCheckBox("Proverbs 5,6");
      oldTestament[247] = new JCheckBox("Proverbs 7,8");
      oldTestament[248] = new JCheckBox("Proverbs 9,10");
      oldTestament[249] = new JCheckBox("Proverbs 11,12");
      oldTestament[250] = new JCheckBox("Proverbs 13,14");
      oldTestament[251] = new JCheckBox("Proverbs 15,16");
      oldTestament[252] = new JCheckBox("Proverbs 17,18");
      oldTestament[253] = new JCheckBox("Proverbs 19,20");
      oldTestament[254] = new JCheckBox("Proverbs 21,22");
      oldTestament[255] = new JCheckBox("Proverbs 23,24");
      oldTestament[256] = new JCheckBox("Proverbs 25,26,27");
      oldTestament[257] = new JCheckBox("Proverbs 28,29");
      oldTestament[258] = new JCheckBox("Proverbs 30,31");
      oldTestament[259] = new JCheckBox("Ecclesiastes 1,2,3");
      oldTestament[260] = new JCheckBox("Ecclesiastes 4,5,6");
      oldTestament[261] = new JCheckBox("Ecclesiastes 7,8,9");
      oldTestament[262] = new JCheckBox("Ecclesiastes 10,11,12");
      oldTestament[263] = new JCheckBox("Song of Solomon 1,2,3");
      oldTestament[264] = new JCheckBox("Song of Solomon 4,5");
      oldTestament[265] = new JCheckBox("Song of Solomon 6,7,8");
      oldTestament[266] = new JCheckBox("Isaiah 1,2,3");
      oldTestament[267] = new JCheckBox("Isaiah 4,5,6");
      oldTestament[268] = new JCheckBox("Isaiah 7,8,9");
      oldTestament[269] = new JCheckBox("Isaiah 10,11,12");
      oldTestament[270] = new JCheckBox("Isaiah 13,14,15");
      oldTestament[271] = new JCheckBox("Isaiah 16,17,18");
      oldTestament[272] = new JCheckBox("Isaiah 19,20,21");
      oldTestament[273] = new JCheckBox("Isaiah 22,23");
      oldTestament[274] = new JCheckBox("Isaiah 24,25,26");
      oldTestament[275] = new JCheckBox("Isaiah 27,28");
      oldTestament[276] = new JCheckBox("Isaiah 29,30");
      oldTestament[277] = new JCheckBox("Isaiah 31,32,33");
      oldTestament[278] = new JCheckBox("Isaiah 34,35,36");
      oldTestament[279] = new JCheckBox("Isaiah 37,38");
      oldTestament[280] = new JCheckBox("Isaiah 39,40");
      oldTestament[281] = new JCheckBox("Isaiah 41,42");
      oldTestament[282] = new JCheckBox("Isaiah 43,44");
      oldTestament[283] = new JCheckBox("Isaiah 45,46,47");
      oldTestament[284] = new JCheckBox("Isaiah 48,49");
      oldTestament[285] = new JCheckBox("Isaiah 50,51,52");
      oldTestament[286] = new JCheckBox("Isaiah 53,54,55");
      oldTestament[287] = new JCheckBox("Isaiah 56,57,58");
      oldTestament[288] = new JCheckBox("Isaiah 59,60,61");
      oldTestament[289] = new JCheckBox("Isaiah 62,63,64");
      oldTestament[290] = new JCheckBox("Isaiah 65,66");
      oldTestament[291] = new JCheckBox("Jeremiah 1,2");
      oldTestament[292] = new JCheckBox("Jeremiah 3,4");
      oldTestament[293] = new JCheckBox("Jeremiah 5,6");
      oldTestament[294] = new JCheckBox("Jeremiah 7,8");
      oldTestament[295] = new JCheckBox("Jeremiah 9,10");
      oldTestament[296] = new JCheckBox("Jeremiah 11,12,13");
      oldTestament[297] = new JCheckBox("Jeremiah 14,15,16");
      oldTestament[298] = new JCheckBox("Jeremiah 17,18,19");
      oldTestament[299] = new JCheckBox("Jeremiah 20,21,22");
      oldTestament[300] = new JCheckBox("Jeremiah 23,24");
      oldTestament[301] = new JCheckBox("Jeremiah 25,26");
      oldTestament[302] = new JCheckBox("Jeremiah 27,28");
      oldTestament[303] = new JCheckBox("Jeremiah 29,30");
      oldTestament[304] = new JCheckBox("Jeremiah 31,32");
      oldTestament[305] = new JCheckBox("Jeremiah 33,34,35");
      oldTestament[306] = new JCheckBox("Jeremiah 36,37");
      oldTestament[307] = new JCheckBox("Jeremiah 38,39");
      oldTestament[308] = new JCheckBox("Jeremiah 40,41,42");
      oldTestament[309] = new JCheckBox("Jeremiah 43,44,45");
      oldTestament[310] = new JCheckBox("Jeremiah 46,47,48");
      oldTestament[311] = new JCheckBox("Jeremiah 49,50");
      oldTestament[312] = new JCheckBox("Jeremiah 51,52");
      oldTestament[313] = new JCheckBox("Lamentations 1,2");
      oldTestament[314] = new JCheckBox("Lamentations 3,4,5");
      oldTestament[315] = new JCheckBox("Ezekial 1,2,3");
      oldTestament[316] = new JCheckBox("Ezekial 4,5,6");
      oldTestament[317] = new JCheckBox("Ezekial 7,8,9");
      oldTestament[318] = new JCheckBox("Ezekial 10,11,12");
      oldTestament[319] = new JCheckBox("Ezekial 13,14,15");
      oldTestament[320] = new JCheckBox("Ezekial 16");
      oldTestament[321] = new JCheckBox("Ezekial 17,18,19");
      oldTestament[322] = new JCheckBox("Ezekial 20,21");
      oldTestament[323] = new JCheckBox("Ezekial 22,23");
      oldTestament[324] = new JCheckBox("Ezekial 24,25,26");
      oldTestament[325] = new JCheckBox("Ezekial 27,28");
      oldTestament[326] = new JCheckBox("Ezekial 29,30,31");
      oldTestament[327] = new JCheckBox("Ezekial 32,33");
      oldTestament[328] = new JCheckBox("Ezekial 34,35");
      oldTestament[329] = new JCheckBox("Ezekial 36,37");
      oldTestament[330] = new JCheckBox("Ezekial 38,39");
      oldTestament[331] = new JCheckBox("Ezekial 40");
      oldTestament[332] = new JCheckBox("Ezekial 41,42");
      oldTestament[333] = new JCheckBox("Ezekial 43,44");
      oldTestament[334] = new JCheckBox("Ezekial 45,46");
      oldTestament[335] = new JCheckBox("Ezekial 47,48");
      oldTestament[336] = new JCheckBox("Daniel 1,2");
      oldTestament[337] = new JCheckBox("Daniel 3,4");
      oldTestament[338] = new JCheckBox("Daniel 5,6");
      oldTestament[339] = new JCheckBox("Daniel 7,8");
      oldTestament[340] = new JCheckBox("Daniel 9,10");
      oldTestament[341] = new JCheckBox("Daniel 11,12");
      oldTestament[342] = new JCheckBox("Hosea 1,2,3,4");
      oldTestament[343] = new JCheckBox("Hosea 5,6,7,8");
      oldTestament[344] = new JCheckBox("Hosea 9,10,11");
      oldTestament[345] = new JCheckBox("Hosea 12,13,14");
      oldTestament[346] = new JCheckBox("Joel 1,2,3");
      oldTestament[347] = new JCheckBox("Amos 1,2,3");
      oldTestament[348] = new JCheckBox("Amos 4,5,6");
      oldTestament[349] = new JCheckBox("Amos 7,8,9");
      oldTestament[350] = new JCheckBox("Obadiah");
      oldTestament[351] = new JCheckBox("Jonah 1,2,3,4");
      oldTestament[352] = new JCheckBox("Micah 1,2,3");
      oldTestament[353] = new JCheckBox("Micah 4,5");
      oldTestament[354] = new JCheckBox("Micah 6,7");
      oldTestament[355] = new JCheckBox("Nahum 1,2,3");
      oldTestament[356] = new JCheckBox("Habakkuk 1,2,3");
      oldTestament[357] = new JCheckBox("Zephaniah 1,2");
      oldTestament[358] = new JCheckBox("Haggai 1,2");
      oldTestament[359] = new JCheckBox("Zechariah 1,2,3");
      oldTestament[360] = new JCheckBox("Zechariah 4,5,6");
      oldTestament[361] = new JCheckBox("Zechariah 7,8,9");
      oldTestament[362] = new JCheckBox("Zechariah 10,11,12");
      oldTestament[363] = new JCheckBox("Zechariah 13,14");
      oldTestament[364] = new JCheckBox("Malachi 1,2,3,4");

      //new Testament
      newTestament[0] = new JCheckBox("Matthew 1");
      newTestament[1] = new JCheckBox("Matthew 2");
      newTestament[2] = new JCheckBox("Matthew 3");
      newTestament[3] = new JCheckBox("Matthew 4");
      newTestament[4] = new JCheckBox("Matthew 5:1-26");
      newTestament[5] = new JCheckBox("Matthew 5:27-48");
      newTestament[6] = new JCheckBox("Matthew 6");
      newTestament[7] = new JCheckBox("Matthew 7");
      newTestament[8] = new JCheckBox("Matthew 8");
      newTestament[9] = new JCheckBox("Matthew 9:1-17");
      newTestament[10] = new JCheckBox("Matthew 9:18-38");
      newTestament[11] = new JCheckBox("Matthew 10:1-23");
      newTestament[12] = new JCheckBox("Matthew 10:24-42");
      newTestament[13] = new JCheckBox("Matthew 11");
      newTestament[14] = new JCheckBox("Matthew 12:1-21");
      newTestament[15] = new JCheckBox("Matthew 12:22-50");
      newTestament[16] = new JCheckBox("Matthew 13:1-32");
      newTestament[17] = new JCheckBox("Matthew 13:33-58");
      newTestament[18] = new JCheckBox("Matthew 14:1-21");
      newTestament[19] = new JCheckBox("Matthew 14:22-36");
      newTestament[20] = new JCheckBox("Matthew 15:1-20");
      newTestament[21] = new JCheckBox("Matthew 15:21-29");
      newTestament[22] = new JCheckBox("Matthew 16");
      newTestament[23] = new JCheckBox("Matthew 17");
      newTestament[24] = new JCheckBox("Matthew 18:1-20");
      newTestament[25] = new JCheckBox("Matthew 18:21-35");
      newTestament[26] = new JCheckBox("Matthew 19:1-15");
      newTestament[27] = new JCheckBox("Matthew 19:16-30");
      newTestament[28] = new JCheckBox("Matthew 20:1-16");
      newTestament[29] = new JCheckBox("Matthew 20: 17-34");
      newTestament[30] = new JCheckBox("Matthew 21:1-22");
      newTestament[31] = new JCheckBox("Matthew 21:23-46");
      newTestament[32] = new JCheckBox("Matthew 22:1-22");
      newTestament[33] = new JCheckBox("Matthew 22:23-46");
      newTestament[34] = new JCheckBox("Matthew 23:1-22");
      newTestament[35] = new JCheckBox("Matthew 23:23-39");
      newTestament[36] = new JCheckBox("Matthew 24:1-22");
      newTestament[37] = new JCheckBox("Matthew 24:23-51");
      newTestament[38] = new JCheckBox("Matthew 25:1-30");
      newTestament[39] = new JCheckBox("Matthew 25:31-46");
      newTestament[40] = new JCheckBox("Matthew 26:1-19");
      newTestament[41] = new JCheckBox("Matthew 26:20-54");
      newTestament[42] = new JCheckBox("Matthew 26:55-75");
      newTestament[43] = new JCheckBox("Matthew 27:1-31");
      newTestament[44] = new JCheckBox("Matthew 27:32-66");
      newTestament[45] = new JCheckBox("Matthew 28");
      newTestament[46] = new JCheckBox("Mark 1:1-22");
      newTestament[47] = new JCheckBox("Mark 1:23-45");
      newTestament[48] = new JCheckBox("Mark 2");
      newTestament[49] = new JCheckBox("Mark 3:1-21");
      newTestament[50] = new JCheckBox("Mark 3:22-35");
      newTestament[51] = new JCheckBox("Mark 4:1-20");
      newTestament[52] = new JCheckBox("Mark 4:21-41");
      newTestament[53] = new JCheckBox("Mark 5:1-20");
      newTestament[54] = new JCheckBox("Mark 5:21-43");
      newTestament[55] = new JCheckBox("Mark 6:1-32");
      newTestament[56] = new JCheckBox("Mark 6:33-56");
      newTestament[57] = new JCheckBox("Mark 7");
      newTestament[58] = new JCheckBox("Mark 8:1-21");
      newTestament[59] = new JCheckBox("Mark 8:22-38");
      newTestament[60] = new JCheckBox("Mark 9:1-29");
      newTestament[61] = new JCheckBox("Mark 9:30-50");
      newTestament[62] = new JCheckBox("Mark 10:1-31");
      newTestament[63] = new JCheckBox("Mark 10:32-52");
      newTestament[64] = new JCheckBox("Mark 11:1-19");
      newTestament[65] = new JCheckBox("Mark 11:20-33");
      newTestament[66] = new JCheckBox("Mark 12:1-27");
      newTestament[67] = new JCheckBox("Mark 12:28-44");
      newTestament[68] = new JCheckBox("Mark 13:1-13");
      newTestament[69] = new JCheckBox("Mark 13:14-37");
      newTestament[70] = new JCheckBox("Mark 14:1-25");
      newTestament[71] = new JCheckBox("Mark 14:26-50");
      newTestament[72] = new JCheckBox("Mark 14:51-72");
      newTestament[73] = new JCheckBox("Mark 15:1-26");
      newTestament[74] = new JCheckBox("Mark 15:27-47");
      newTestament[75] = new JCheckBox("Mark 16");
      newTestament[76] = new JCheckBox("Luke 1:1-23");
      newTestament[77] = new JCheckBox("Luke 1:24-56");
      newTestament[78] = new JCheckBox("Luke 1:57-80");
      newTestament[79] = new JCheckBox("Luke 2:1-24");
      newTestament[80] = new JCheckBox("Luke 2:25-52");
      newTestament[81] = new JCheckBox("Luke 3");
      newTestament[82] = new JCheckBox("Luke 4:1-32");
      newTestament[83] = new JCheckBox("Luke 4:33-44");
      newTestament[84] = new JCheckBox("Luke 5:1-16");
      newTestament[85] = new JCheckBox("Luke 5:17-39");
      newTestament[86] = new JCheckBox("Luke 6:1-26");
      newTestament[87] = new JCheckBox("Luke 6:27-49");
      newTestament[88] = new JCheckBox("Luke 7:1-30");
      newTestament[89] = new JCheckBox("Luke 7:31-50");
      newTestament[90] = new JCheckBox("Luke 8:1-21");
      newTestament[91] = new JCheckBox("Luke 8:22-56");
      newTestament[92] = new JCheckBox("Luke 9:1-36");
      newTestament[93] = new JCheckBox("Luke 9:37-62");
      newTestament[94] = new JCheckBox("Luke 10:1-24");
      newTestament[95] = new JCheckBox("Luke 10:25-42");
      newTestament[96] = new JCheckBox("Luke 11:1-28");
      newTestament[97] = new JCheckBox("Luke 11:29-54");
      newTestament[98] = new JCheckBox("Luke 12:1-34");
      newTestament[99] = new JCheckBox("Luke 12:35-59");
      newTestament[100] = new JCheckBox("Luke 13:1-21");
      newTestament[101] = new JCheckBox("Luke 13:22-35");
      newTestament[102] = new JCheckBox("Luke 14:1-24");
      newTestament[103] = new JCheckBox("Luke 14:25-35");
      newTestament[104] = new JCheckBox("Luke 15:1-10");
      newTestament[105] = new JCheckBox("Luke 15:11-32");
      newTestament[106] = new JCheckBox("Luke 16:1-18");
      newTestament[107] = new JCheckBox("Luke 16:19-31");
      newTestament[108] = new JCheckBox("Luke 17:1-19");
      newTestament[109] = new JCheckBox("Luke 17:20-37");
      newTestament[110] = new JCheckBox("Luke 18:1-17");
      newTestament[111] = new JCheckBox("Luke 18:18-43");
      newTestament[112] = new JCheckBox("Luke 19:1-28");
      newTestament[113] = new JCheckBox("Luke 19:29-48");
      newTestament[114] = new JCheckBox("Luke 20:1-26");
      newTestament[115] = new JCheckBox("Luke 20:27-47");
      newTestament[116] = new JCheckBox("Luke 21:1-19");
      newTestament[117] = new JCheckBox("Luke 21:20-38");
      newTestament[118] = new JCheckBox("Luke 22:1-30");
      newTestament[119] = new JCheckBox("Luke 22:31-53");
      newTestament[120] = new JCheckBox("Luke 22:54-71");
      newTestament[121] = new JCheckBox("Luke 23:1-26");
      newTestament[122] = new JCheckBox("Luke 23:27-38");
      newTestament[123] = new JCheckBox("Luke 23:39-56");
      newTestament[124] = new JCheckBox("Luke 24:1-35");
      newTestament[125] = new JCheckBox("Luke 24:36-53");
      newTestament[126] = new JCheckBox("John 1:1-28");
      newTestament[127] = new JCheckBox("John 1:29-51");
      newTestament[128] = new JCheckBox("John 2");
      newTestament[129] = new JCheckBox("John 3:1-21");
      newTestament[130] = new JCheckBox("John 3:22-36");
      newTestament[131] = new JCheckBox("John 4:1-30");
      newTestament[132] = new JCheckBox("John 4:31-54");
      newTestament[133] = new JCheckBox("John 5:1-24");
      newTestament[134] = new JCheckBox("John 5:25-47");
      newTestament[135] = new JCheckBox("John 6:1-21");
      newTestament[136] = new JCheckBox("John 6:22-44");
      newTestament[137] = new JCheckBox("John 6:45-71");
      newTestament[138] = new JCheckBox("John 7:1-31");
      newTestament[139] = new JCheckBox("John 7:32-53");
      newTestament[140] = new JCheckBox("John 8:1-20");
      newTestament[141] = new JCheckBox("John 8:21-36");
      newTestament[142] = new JCheckBox("John 8:37-59");
      newTestament[143] = new JCheckBox("John 9:1-23");
      newTestament[144] = new JCheckBox("John 9:24-41");
      newTestament[145] = new JCheckBox("John 10:1-21");
      newTestament[146] = new JCheckBox("John 10:22-42");
      newTestament[147] = new JCheckBox("John 11:1-17");
      newTestament[148] = new JCheckBox("John 11:18-46");
      newTestament[149] = new JCheckBox("John 11:47-57");
      newTestament[150] = new JCheckBox("John 12:1-19");
      newTestament[151] = new JCheckBox("John 12:20-50");
      newTestament[152] = new JCheckBox("John 13:1-17");
      newTestament[153] = new JCheckBox("John 13:18-38");
      newTestament[154] = new JCheckBox("John 14");
      newTestament[155] = new JCheckBox("John 15");
      newTestament[156] = new JCheckBox("John 16:1-15");
      newTestament[157] = new JCheckBox("John 16:16-33");
      newTestament[158] = new JCheckBox("John 17");
      newTestament[159] = new JCheckBox("John 18:1-23");
      newTestament[160] = new JCheckBox("John 18:24-40");
      newTestament[161] = new JCheckBox("John 19:1-22");
      newTestament[162] = new JCheckBox("John 19:23-42");
      newTestament[163] = new JCheckBox("John 20");
      newTestament[164] = new JCheckBox("John 21");
      newTestament[165] = new JCheckBox("Acts 1");
      newTestament[166] = new JCheckBox("Acts 2:1-13");
      newTestament[167] = new JCheckBox("Acts 2:14-47");
      newTestament[168] = new JCheckBox("Acts 3");
      newTestament[169] = new JCheckBox("Acts 4:1-22");
      newTestament[170] = new JCheckBox("Acts 4:23-37");
      newTestament[171] = new JCheckBox("Acts 5:1-16");
      newTestament[172] = new JCheckBox("Acts 5:17-42");
      newTestament[173] = new JCheckBox("Acts 6");
      newTestament[174] = new JCheckBox("Acts 7:1-19");
      newTestament[175] = new JCheckBox("Acts 7:20-43");
      newTestament[176] = new JCheckBox("Acts 7:44-60");
      newTestament[177] = new JCheckBox("Acts 8:1-25");
      newTestament[178] = new JCheckBox("Acts 8:26-40");
      newTestament[179] = new JCheckBox("Acts 9:1-22");
      newTestament[180] = new JCheckBox("Acts 9:23-43");
      newTestament[181] = new JCheckBox("Acts 10:1-23");
      newTestament[182] = new JCheckBox("Acts 10:24-48");
      newTestament[183] = new JCheckBox("Acts 11");
      newTestament[184] = new JCheckBox("Acts 12");
      newTestament[185] = new JCheckBox("Acts 13:1-23");
      newTestament[186] = new JCheckBox("Acts 13:24-52");
      newTestament[187] = new JCheckBox("Acts 14");
      newTestament[188] = new JCheckBox("Acts 15:1-21");
      newTestament[189] = new JCheckBox("Acts 15:22-41");
      newTestament[190] = new JCheckBox("Acts 16:1-15");
      newTestament[191] = new JCheckBox("Acts 16:16-40");
      newTestament[192] = new JCheckBox("Acts 17:1-15");
      newTestament[193] = new JCheckBox("Acts 17:16-34");
      newTestament[194] = new JCheckBox("Acts 18");
      newTestament[195] = new JCheckBox("Acts 19:1-20");
      newTestament[196] = new JCheckBox("Acts 19:21-41");
      newTestament[197] = new JCheckBox("Acts 20:1-16");
      newTestament[198] = new JCheckBox("Acts 20:17-38");
      newTestament[199] = new JCheckBox("Acts 21:1-14");
      newTestament[200] = new JCheckBox("Acts 21:15-40");
      newTestament[201] = new JCheckBox("Acts 22");
      newTestament[202] = new JCheckBox("Acts 23:1-11");
      newTestament[203] = new JCheckBox("Acts 23:12-35");
      newTestament[204] = new JCheckBox("Acts 24");
      newTestament[205] = new JCheckBox("Acts 25");
      newTestament[206] = new JCheckBox("Acts 26");
      newTestament[207] = new JCheckBox("Acts 27:1-25");
      newTestament[208] = new JCheckBox("Acts 27:26-44");
      newTestament[209] = new JCheckBox("Acts 28:1-15");
      newTestament[210] = new JCheckBox("Acts 28:16-31");
      newTestament[211] = new JCheckBox("Romans 1");
      newTestament[212] = new JCheckBox("Romans 2");
      newTestament[213] = new JCheckBox("Romans 3");
      newTestament[214] = new JCheckBox("Romans 4");
      newTestament[215] = new JCheckBox("Romans 5");
      newTestament[216] = new JCheckBox("Romans 6");
      newTestament[217] = new JCheckBox("Romans 7");
      newTestament[218] = new JCheckBox("Romans 8:1-18");
      newTestament[219] = new JCheckBox("Romans 8:19-39");
      newTestament[220] = new JCheckBox("Romans 9");
      newTestament[221] = new JCheckBox("Romans 10");
      newTestament[222] = new JCheckBox("Romans 11:1-21");
      newTestament[223] = new JCheckBox("Romans 11:22-36");
      newTestament[224] = new JCheckBox("Romans 12");
      newTestament[225] = new JCheckBox("Romans 13");
      newTestament[226] = new JCheckBox("Romans 14");
      newTestament[227] = new JCheckBox("Romans 15:1-20");
      newTestament[228] = new JCheckBox("Romans 15:21-33");
      newTestament[229] = new JCheckBox("Romans 16");
      newTestament[230] = new JCheckBox("I Corinthians 1");
      newTestament[231] = new JCheckBox("I Corinthians 2");
      newTestament[232] = new JCheckBox("I Corinthians 3");
      newTestament[233] = new JCheckBox("I Corinthians 4");
      newTestament[234] = new JCheckBox("I Corinthians 5");
      newTestament[235] = new JCheckBox("I Corinthians 6");
      newTestament[236] = new JCheckBox("I Corinthians 7:1-24");
      newTestament[237] = new JCheckBox("I Corinthians 7:25-40");
      newTestament[238] = new JCheckBox("I Corinthians 8");
      newTestament[239] = new JCheckBox("I Corinthians 9");
      newTestament[240] = new JCheckBox("I Corinthians 10:1-13");
      newTestament[241] = new JCheckBox("I Corinthians 10:14-33");
      newTestament[242] = new JCheckBox("I Corinthians 11:1-15");
      newTestament[243] = new JCheckBox("I Corinthians 11:16-34");
      newTestament[244] = new JCheckBox("I Corinthians 12");
      newTestament[245] = new JCheckBox("I Corinthians 13");
      newTestament[246] = new JCheckBox("I Corinthians 14:1-20");
      newTestament[247] = new JCheckBox("I Corinthians 14:21-40");
      newTestament[248] = new JCheckBox("I Corinthians 15:1-32");
      newTestament[249] = new JCheckBox("I Corinthians 15:33-58");
      newTestament[250] = new JCheckBox("I Corinthians 16");
      newTestament[251] = new JCheckBox("II Corinthians 1");
      newTestament[252] = new JCheckBox("II Corinthians 2");
      newTestament[253] = new JCheckBox("II Corinthians 3");
      newTestament[254] = new JCheckBox("II Corinthians 4");
      newTestament[255] = new JCheckBox("II Corinthians 5");
      newTestament[256] = new JCheckBox("II Corinthians 6");
      newTestament[257] = new JCheckBox("II Corinthians 7");
      newTestament[258] = new JCheckBox("II Corinthians 8");
      newTestament[259] = new JCheckBox("II Corinthians 9");
      newTestament[260] = new JCheckBox("II Corinthians 10");
      newTestament[261] = new JCheckBox("II Corinthians 11:1-15");
      newTestament[262] = new JCheckBox("II Corinthians 11:16-33");
      newTestament[263] = new JCheckBox("II Corinthians 12");
      newTestament[264] = new JCheckBox("II Corinthians 13");
      newTestament[265] = new JCheckBox("Galatians 1");
      newTestament[266] = new JCheckBox("Galatians 2");
      newTestament[267] = new JCheckBox("Galatians 3");
      newTestament[268] = new JCheckBox("Galatians 4");
      newTestament[269] = new JCheckBox("Galatians 5");
      newTestament[270] = new JCheckBox("Galatians 6");
      newTestament[271] = new JCheckBox("Ephesians 1");
      newTestament[272] = new JCheckBox("Ephesians 2");
      newTestament[273] = new JCheckBox("Ephesians 3");
      newTestament[274] = new JCheckBox("Ephesians 4");
      newTestament[275] = new JCheckBox("Ephesians 5");
      newTestament[276] = new JCheckBox("Ephesians 6");
      newTestament[277] = new JCheckBox("Philippians 1");
      newTestament[278] = new JCheckBox("Philippians 2");
      newTestament[279] = new JCheckBox("Philippians 3");
      newTestament[280] = new JCheckBox("Philippians 4");
      newTestament[281] = new JCheckBox("Colossians 1");
      newTestament[282] = new JCheckBox("Colossians 2");
      newTestament[283] = new JCheckBox("Colossians 3");
      newTestament[284] = new JCheckBox("Colossians 4");
      newTestament[285] = new JCheckBox("I Thessalonians 1");
      newTestament[286] = new JCheckBox("I Thessalonians 2");
      newTestament[287] = new JCheckBox("I Thessalonians 3");
      newTestament[288] = new JCheckBox("I Thessalonians 4");
      newTestament[289] = new JCheckBox("I Thessalonians 5");
      newTestament[290] = new JCheckBox("II Thessalonians 1");
      newTestament[291] = new JCheckBox("II Thessalonians 2");
      newTestament[292] = new JCheckBox("II Thessalonians 3");
      newTestament[293] = new JCheckBox("I Timothy 1");
      newTestament[294] = new JCheckBox("I Timothy 2");
      newTestament[295] = new JCheckBox("I Timothy 3");
      newTestament[296] = new JCheckBox("I Timothy 4");
      newTestament[297] = new JCheckBox("I Timothy 5");
      newTestament[298] = new JCheckBox("I Timothy 6");
      newTestament[299] = new JCheckBox("II Timothy 1");
      newTestament[300] = new JCheckBox("II Timothy 2");
      newTestament[301] = new JCheckBox("II Timothy 3");
      newTestament[302] = new JCheckBox("II Timothy 4");
      newTestament[303] = new JCheckBox("Titus 1");
      newTestament[304] = new JCheckBox("Titus 2");
      newTestament[305] = new JCheckBox("Titus 3");
      newTestament[306] = new JCheckBox("Philemon 1");
      newTestament[307] = new JCheckBox("Hebrews 1");
      newTestament[308] = new JCheckBox("Hebrews 2");
      newTestament[309] = new JCheckBox("Hebrews 3");
      newTestament[310] = new JCheckBox("Hebrews 4");
      newTestament[311] = new JCheckBox("Hebrews 5");
      newTestament[312] = new JCheckBox("Hebrews 6");
      newTestament[313] = new JCheckBox("Hebrews 7");
      newTestament[314] = new JCheckBox("Hebrews 8");
      newTestament[315] = new JCheckBox("Hebrews 9");
      newTestament[316] = new JCheckBox("Hebrews 10:1-23");
      newTestament[317] = new JCheckBox("Hebrews 10:24-39");
      newTestament[318] = new JCheckBox("Hebrews 11:1-19");
      newTestament[319] = new JCheckBox("Hebrews 11:20-40");
      newTestament[320] = new JCheckBox("Hebrews 12");
      newTestament[321] = new JCheckBox("Hebrews 13");
      newTestament[322] = new JCheckBox("James 1");
      newTestament[323] = new JCheckBox("James 2");
      newTestament[324] = new JCheckBox("James 3");
      newTestament[325] = new JCheckBox("James 4");
      newTestament[326] = new JCheckBox("James 5");
      newTestament[327] = new JCheckBox("I Peter 1");
      newTestament[328] = new JCheckBox("I Peter 2");
      newTestament[329] = new JCheckBox("I Peter 3");
      newTestament[330] = new JCheckBox("I Peter 4");
      newTestament[331] = new JCheckBox("I Peter 5");
      newTestament[332] = new JCheckBox("II Peter 1");
      newTestament[333] = new JCheckBox("II Peter 2");
      newTestament[334] = new JCheckBox("II Peter 3");
      newTestament[335] = new JCheckBox("I John 1");
      newTestament[336] = new JCheckBox("I John 2");
      newTestament[337] = new JCheckBox("I John 3");
      newTestament[338] = new JCheckBox("I John 4");
      newTestament[339] = new JCheckBox("I John 5");
      newTestament[340] = new JCheckBox("II John 1");
      newTestament[341] = new JCheckBox("III John 1");
      newTestament[342] = new JCheckBox("Jude 1");
      newTestament[343] = new JCheckBox("Revelation 1");
      newTestament[344] = new JCheckBox("Revelation 2");
      newTestament[345] = new JCheckBox("Revelation 3");
      newTestament[346] = new JCheckBox("Revelation 4");
      newTestament[347] = new JCheckBox("Revelation 5");
      newTestament[348] = new JCheckBox("Revelation 6");
      newTestament[349] = new JCheckBox("Revelation 7");
      newTestament[350] = new JCheckBox("Revelation 8");
      newTestament[351] = new JCheckBox("Revelation 9");
      newTestament[352] = new JCheckBox("Revelation 10");
      newTestament[353] = new JCheckBox("Revelation 11");
      newTestament[354] = new JCheckBox("Revelation 12");
      newTestament[355] = new JCheckBox("Revelation 13");
      newTestament[356] = new JCheckBox("Revelation 14");
      newTestament[357] = new JCheckBox("Revelation 15");
      newTestament[358] = new JCheckBox("Revelation 16");
      newTestament[359] = new JCheckBox("Revelation 17");
      newTestament[360] = new JCheckBox("Revelation 18");
      newTestament[361] = new JCheckBox("Revelation 19");
      newTestament[362] = new JCheckBox("Revelation 20");
      newTestament[363] = new JCheckBox("Revelation 21");
      newTestament[364] = new JCheckBox("Revelation 22");
   }
}
