package net.provision.soap;

import org.jdom.*;
import org.jdom.input.*;
import org.jdom.output.*;

import java.io.*;


/**
 * DOCUMENT ME!
 *
 * @author $author$
 * @version $Revision$
 */
public class Bible {
   String book;
   String chapter;
   String testament;
   String verse;

   public Bible() {
      this("Old Testament", "Genesis", "1", "1");
   }

   public Bible(String testament, String book, String chapter, String verse) {
      this.testament = testament;
      this.book = book;
      this.chapter = chapter;
      this.verse = verse;

      try {
         //retrieve the file from the jar file.
         InputStream in = this.getClass().getResourceAsStream("KJVBible.xml");

         // Build the document with SAX and Xerces, no validation
         SAXBuilder builder = new SAXBuilder();

         // Create the document
         Document doc = builder.build(in);

         Element bibleEL = doc.getRootElement();
         Element testamentEL = bibleEL.getChild("testament");

         if(testament.equals(testamentEL.getAttribute("value"))) {
            Element bookEL = testamentEL.getChild("book");

            if(book.equals(bookEL.getAttribute("title"))) {
               Element chapterEL = bookEL.getChild("chapter");

               if(chapter.equals(chapterEL.getChild("number"))) {
                  Element verseEL = chapterEL.getChild("verse");
               }
            }
         }

         // Output the document, use standard formatter
         XMLOutputter fmt = new XMLOutputter();
         fmt.output(doc, System.out);
      } catch(Exception e) {
         e.printStackTrace();
      }
   }
}
