package net.provision.soap;

import java.io.*;

import java.text.*;

import java.util.*;


/**
 * DOCUMENT ME!
 *
 * @author $author$
 * @version $Revision$
 */
class DailyItem implements Serializable {
   Date date;
   String application;
   String observation;
   String prayer;
   String scripture;
   String title;
   String topic;

   public DailyItem(Date date, String topic, String title) {
      this(date, topic, title, null, null, null, null);
   }

   public DailyItem(Date date, String topic, String title, String scripture,
      String observation, String application, String prayer) {
      this.date = date;
      this.topic = topic;
      this.title = title;
      this.scripture = scripture;
      this.observation = observation;
      this.application = application;
      this.prayer = prayer;
   }

   /**
    * DOCUMENT ME!
    *
    * @param application DOCUMENT ME!
    */
   public void setApplication(String application) {
      this.application = application;
   }

   /**
    * DOCUMENT ME!
    *
    * @return DOCUMENT ME!
    */
   public String getApplication() {
      return application;
   }

   /**
    * DOCUMENT ME!
    *
    * @param date DOCUMENT ME!
    */
   public void setDate(Date date) {
      this.date = date;
   }

   /**
    * DOCUMENT ME!
    *
    * @return DOCUMENT ME!
    */
   public Date getDate() {
      return date;
   }

   /**
    * DOCUMENT ME!
    *
    * @param observation DOCUMENT ME!
    */
   public void setObservation(String observation) {
      this.observation = observation;
   }

   /**
    * DOCUMENT ME!
    *
    * @return DOCUMENT ME!
    */
   public String getObservation() {
      return observation;
   }

   /**
    * DOCUMENT ME!
    *
    * @param prayer DOCUMENT ME!
    */
   public void setPrayer(String prayer) {
      this.prayer = prayer;
   }

   /**
    * DOCUMENT ME!
    *
    * @return DOCUMENT ME!
    */
   public String getPrayer() {
      return prayer;
   }

   /**
    * DOCUMENT ME!
    *
    * @param scripture DOCUMENT ME!
    */
   public void setScripture(String scripture) {
      this.scripture = scripture;
   }

   /**
    * DOCUMENT ME!
    *
    * @return DOCUMENT ME!
    */
   public String getScripture() {
      return scripture;
   }

   /**
    * DOCUMENT ME!
    *
    * @param title DOCUMENT ME!
    */
   public void setTitle(String title) {
      this.title = title;
   }

   /**
    * DOCUMENT ME!
    *
    * @return DOCUMENT ME!
    */
   public String getTitle() {
      return title;
   }

   /**
    * DOCUMENT ME!
    *
    * @param topic DOCUMENT ME!
    */
   public void setTopic(String topic) {
      this.topic = topic;
   }

   /**
    * DOCUMENT ME!
    *
    * @return DOCUMENT ME!
    */
   public String getTopic() {
      return topic;
   }

   /* (non-Javadoc)
    * @see java.lang.Object#equals(java.lang.Object)
    */
   public boolean equals(Object o) {
      if(o instanceof DailyItem) {
         DailyItem d = (DailyItem)o;
         DateFormat df = DateButton.DATE_FORMAT;

         if(df.format(date).equals(df.format(d.getDate())) &&
               topic.equals(d.getTopic()) && title.equals(d.getTitle())) {
            return true;
         }
      }

      return false;
   }

   /**
    * DOCUMENT ME!
    *
    * @return DOCUMENT ME!
    */
   public String toString() {
      return "DailyItem[date: " + date + ", topic: " + topic + ", title: " + title +
      " scripture: " + scripture + " observation: " + observation + " application: " +
      application + " prayer: " + prayer + "]";
   }
}
