package net.provision.soap;

import java.io.*;

import java.text.*;

import java.util.*;


/**
 * DOCUMENT ME!
 *
 * @author $author$
 * @version $Revision$
 */
class Storage {
   private DateFormat df = DateButton.DATE_FORMAT;
   private File file;
   private Vector DIData = new Vector();
   private Vector DRData = new Vector();
   private Vector PLData = new Vector();

   public Storage() throws FileNotFoundException, IOException, Exception {
      this(new File("items"));
   }

   public Storage(File file) throws FileNotFoundException, IOException, Exception {
      this.file = file;

      //prevents having an empty file, which causes exceptions
      if(!file.exists() || (file.length() == 0)) {
         file.createNewFile(); //creates the file if it doesn't already exist
         writeToFile();

         //allow other users (osX) access to this file
         new FilePermission("items", "read,write");
      }

      FileInputStream in = new FileInputStream(file);
      ObjectInputStream s = new ObjectInputStream(in);
      DIData = (Vector)s.readObject();
      DRData = (Vector)s.readObject();
      PLData = (Vector)s.readObject();
      s.close();
   }

   /* Daily Item */
   public void setDIData(Vector DIData) {
      this.DIData = DIData;
   }

   /*Daily Items Vector*/
   public Vector getDIData() {
      return DIData;
   }

   /* Daily Reading Vector */
   public void setDRData(Vector DRData) {
      this.DRData = DRData;
   }

   /*Daily Readings Vector*/
   public Vector getDRData() {
      return DRData;
   }

   /* Prayer Log */
   public void setPLData(Vector PLData) {
      this.PLData = PLData;
   }

   /*Prayer Log Vector*/
   public Vector getPLData() {
      return PLData;
   }

   /**
    * DOCUMENT ME!
    *
    * @throws IOException DOCUMENT ME!
    */
   public void writeToFile() throws IOException {
      FileOutputStream out = new FileOutputStream(file);
      ObjectOutputStream s = new ObjectOutputStream(out);
      s.writeObject(DIData);
      s.writeObject(DRData);
      s.writeObject(PLData);
      s.close();
   }
}
